#include <iostream>
#include <bits/stdc++.h>
using namespace std;
long long maxx(long long a[], long long n){
    long long i, m;
    m = a[0];
    for(i = 0; i < n; i++){

        if(a[i] >= m)
            m = a[i];}
    return m;
}



int main()
{
    long long n, i, m;
    cin >> n;
    long long a[n];
    for(i = 0; i < n; i++)
        cin >> a[i];
    m = maxx(a, n);

    for(i = 0; i < n; i++){

        if(a[0] == m && a[1] == m)
            cout << a[i] << " ";
    }



    return 0;
}